---
title: "Verify phone number ownership (v2)"
url: "https://developer.pxg.konera.com/apis/number-verification-v1e-2/versions/1e2293c7-f33d-4fb6-a78e-56369c0f263c/operations/verifyNumberV2"
---

> Full API specification: https://developer.pxg.konera.com/apis/number-verification-v1e-2/versions/1e2293c7-f33d-4fb6-a78e-56369c0f263c.md

# Verify phone number ownership (v2)

`POST` `/number-verification/v2/verify`

Operation ID: `verifyNumberV2`

Verifies that the provided phone number belongs to the authenticated end user using network-based verification (v2).

## Header parameters

- `x-correlation-id` (string, optional) - Correlation ID for request tracing

## Request body (required)

Content types: `application/json`

## Responses

- `200` - Number verification result
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `429` - Too Many Requests
- `500` - Internal server error

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: Number Verification API
  version: 2.0.0
servers:
  - url: https://api.pxg.konera.com/camara
    description: Production CAMARA API Gateway
paths:
  /number-verification/v2/verify:
    post:
      tags:
        - Number Verification
      summary: Verify phone number ownership (v2)
      description: Verifies that the provided phone number belongs to the
        authenticated end user using network-based verification (v2).
      operationId: verifyNumberV2
      parameters:
        - name: x-correlation-id
          in: header
          required: false
          description: Correlation ID for request tracing
          schema:
            type: string
            example: b4333c46-49c0-4f62-80d7-f0ef930f1c46
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/NumberVerificationRequest"
            example:
              phoneNumber: "+123456789"
      responses:
        "200":
          description: Number verification result
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/NumberVerificationResponse"
              example:
                devicePhoneNumberVerified: true
                assessedAt: 2026-02-05T10:30:00Z
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "429":
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "500":
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
security:
  - OAuth2ClientCredentials:
      - number-verification.read
components:
  schemas:
    NumberVerificationRequest:
      type: object
      required:
        - phoneNumber
      properties:
        phoneNumber:
          type: string
          description: MSISDN in E.164 format entered by the end user
          example: "+919036499174"
    NumberVerificationResponse:
      type: object
      required:
        - devicePhoneNumberVerified
      properties:
        devicePhoneNumberVerified:
          type: boolean
          description: Indicates whether the provided MSISDN matches the phone number of
            the device/SIM on the network
          example: true
        assessedAt:
          type: string
          format: date-time
          nullable: true
          description: Timestamp when verification was performed
    Error:
      type: object
      required:
        - status
        - code
        - message
      properties:
        status:
          type: integer
          example: 400
        code:
          type: string
          example: INVALID_ARGUMENT
        message:
          type: string
          example: Invalid request
  securitySchemes:
    OAuth2ClientCredentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://auth.konera.com/oauth2/token
          scopes:
            number-verification.read: Verify device phone number match
```
